Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0027222
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformtrivialalways2014-07-29 08:182014-08-08 18:54
ReporteralostaleView Statuspublic 
Assigned Toalostale 
PrioritynormalResolutionfixedFixed in Version3.0PR14Q4
StatusclosedFix in branchFixed in SCM revision6f9569492c59
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toshankarb
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0027222: NPE in WebServices when trying to delete a non-existing record

DescriptionIf a record with an invalid ID is tried to be deleted using DAL webservices a NPE is thrown.
Steps To Reproduce-Execute WSUpdateTest jUnit test
-Check Tomcat log
ERROR org.openbravo.service.web.BaseWebServiceServlet - java.lang.NullPointerException
org.openbravo.base.exception.OBException: java.lang.NullPointerException
    at org.openbravo.service.web.WebServiceServlet.doDelete(WebServiceServlet.java:89)
Proposed SolutionChange exception to something more descriptive, not NPE.

Note that currently this case returns an HTTP 500, which can be considered part of the public API.

So the same HTTP code should be returned in this case (instead of 404 which could be more appropriate)
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0027178 closedplatform Error in openbravo.log in ci try-dummy-pgsql job 

-  Notes
(0068944)
hgbot (developer)
2014-07-29 08:35

Repository: erp/devel/pi
Changeset: 6f9569492c5981e537e29a174643e4a97f51fd53
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Tue Jul 29 08:34:51 2014 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/6f9569492c5981e537e29a174643e4a97f51fd53 [^]

fixed bug 27222: NPE in WebServices when trying to delete a non-existing record

  Throwing OBException in this case so HTTP 500 response is kept

---
M src/org/openbravo/service/rest/DalWebService.java
---
(0068996)
shankarb (developer)
2014-07-31 06:34

Code reviewed and verified in pi changeset be933e11432c.
(0069233)
hudsonbot (developer)
2014-08-08 18:54

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/4450016dee64 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2014-07-29 08:18 alostale New Issue
2014-07-29 08:18 alostale Assigned To => alostale
2014-07-29 08:18 alostale Modules => Core
2014-07-29 08:18 alostale Triggers an Emergency Pack => No
2014-07-29 08:19 alostale Relationship added related to 0027178
2014-07-29 08:35 alostale Review Assigned To => shankarb
2014-07-29 08:35 hgbot Checkin
2014-07-29 08:35 hgbot Note Added: 0068944
2014-07-29 08:35 hgbot Status new => resolved
2014-07-29 08:35 hgbot Resolution open => fixed
2014-07-29 08:35 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/6f9569492c5981e537e29a174643e4a97f51fd53 [^]
2014-07-31 06:34 shankarb Note Added: 0068996
2014-07-31 06:34 shankarb Status resolved => closed
2014-07-31 06:34 shankarb Fixed in Version => 3.0PR14Q4
2014-08-08 18:54 hudsonbot Checkin
2014-08-08 18:54 hudsonbot Note Added: 0069233


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker